Subject: Re: closing rxvt / paste in bash / ps
From: Earnie Boyd <[email-masked]>
To: Jan-Friedrich Mutter <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Wed, 14 Apr 1999 17:37:22 -0700 (PDT)

--- Jan-Friedrich Mutter <[email-masked]> wrote:
> Hi again,
> 
> some dummy user questions:
> 
> 1. I have rxvt with bash. I start it with "run rxvt -e bash" or "start rxvt
> -e bash". When I press the close button ("x") the task rxvt and the task bash
> is still running in Win98. In WinNT 4 it works fine. Typing in 'exit' works
> with both OS. Does anyone know that problem ?

Have you exited all sessions of cygwin.  If yes, this sounds as if it is:
1) a win98 problem.
2) a deadlock between bash and rxvt trying to shutdown.
If no, do the background processes go away if you shut down the other cygwin
processes?

No. I've not seen this posted before.

> 
> 2. This question was made some days ago. But I couldn't find an answer: 
> I can paste into rxvt and bash by pressing the middle mouse button in NT. But
> it doesn't work in Win98. I have a Logitech Mouse.

Don't know the cause.

> 
> 3. If I do a 'ps' I could get only those tasks that I started from bash. Can
> I get all tasks which are running ?

ps will only show the cygwin related processes.  That is how it was designed.

> 
> Thanks, Jan.
> 

Please don't post the HTML.  Everyone can read plain text, not everyone can
read HTML.

<HR>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>

<META content=text/html;charset=iso-8859-1 http-equiv=Content-Type>
<META content='"MSHTML 4.72.3110.7"' name=GENERATOR>
</HEAD>
<BODY bgColor=#ffffff>
<DIV><FONT face=Arial size=2>Hi again,</FONT></DIV>
<DIV><FONT face=Arial size=2></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial size=2>some dummy user questions:</FONT></DIV>
<DIV><FONT face=Arial size=2></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial size=2>1. I have rxvt with bash. I start it with
&quot;run 
rxvt -e bash&quot; or &quot;start rxvt -e bash&quot;. When I press the close 
button (&quot;x&quot;) the </FONT><FONT face=Arial size=2>task rxvt and the
task 
bash is still running in Win98. In WinNT 4 it works fine. Typing in 'exit'
works 
with both OS. Does anyone know that problem ?</FONT></DIV>
<DIV><FONT face=Arial size=2></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial size=2>2. This question was made some days ago. But I 
couldn't find an answer: </FONT></DIV>
<DIV><FONT face=Arial size=2>I can paste into rxvt and bash by pressing the 
middle mouse button in NT. But it doesn't work in Win98. I have a Logitech 
Mouse.</FONT></DIV>
<DIV><FONT face=Arial size=2></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial size=2>3. If I do a 'ps' I could get only those tasks
that 
I started from bash. Can I get all tasks which are running ?</FONT></DIV>
<DIV><FONT face=Arial size=2></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial size=2>Thanks, Jan.</FONT></DIV></BODY></HTML>

> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

===
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
----------------------ooo0O--O0ooo----------------------

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]